import { EmbedBuilder } from "@discordjs/builders";
import { GuildQueue, Track } from "discord-player";
import { Client } from "discord.js";
import { Metadata } from "../../utils/metadata";
import { emojiPng } from "../../utils/misc";

/** https://discord-player.js.org/docs/types/discord-player/GuildQueueEvents */
export default (queue: GuildQueue<Metadata>, track: Track, client: Client) => {
  const loc_default = client.locales.get(client.config.default_lang);

  const embed = new EmbedBuilder()
    .setDescription(`${loc_default?.get("e_trackstart1")} ${track.requestedBy}`)
    .setTitle(track.title + " • " + track.author)
    .setURL(track.url)
    .setThumbnail(track.thumbnail)
    .setFooter({
      text: `${loc_default?.get("e_trackstart2")} ${
        track.duration
      } via ${track.source.capitalize()}`,
      iconURL: emojiPng("🎶"),
    });
  queue.metadata?.channel?.send({ embeds: [embed] });
};
