import { Client, ModalSubmitInteraction } from "discord.js";
import { getFilename } from "../../utils/misc";
import { newReminder } from "../../utils/reminder";

export default {
  data: {
    name: getFilename(__filename),
  },
  interaction: async (interaction: ModalSubmitInteraction, client: Client) =>
    newReminder(client, interaction.fields.fields.get("reminderGUI-time")?.value as string, {
      locale: interaction.locale,
      message: interaction.fields.fields.get("reminderGUI-message")?.value ?? null,
      createdAt: interaction.createdAt.getTime(),
      channelId: interaction.channelId,
      userId: interaction.user.id,
      guildId: interaction.guildId,
    }).then((msg) =>
      interaction.reply({
        content: msg as string,
        ephemeral: true,
      }),
    ),
};
